Results 1 to 4 of 4

Thread: zypper install apcupsd reports error

  1. #1
    Join Date
    Jan 2013
    Location
    USA
    Posts
    51

    Default zypper install apcupsd reports error

    New installation of opensuse 13.2 x86-64. Yast online update was run after installation. No trouble seen.

    I went to install apcupsd

    Code:
    zypper install apcupsd
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following NEW package is going to be installed:
      apcupsd 
    
    1 new package to install.
    Overall download size: 316.2 KiB. Already cached: 0 B  After the operation, additional 1.5 MiB will be 
    used.
    Continue? [y/n/? shows all options] (y): y
    Retrieving package apcupsd-3.14.11-3.2.10.x86_64                  (1/1), 316.2 KiB (  1.5 MiB unpacked)
    Retrieving: apcupsd-3.14.11-3.2.10.x86_64.rpm ...................................................[done]
    Checking for file conflicts: ....................................................................[done]
    (1/1) Installing: apcupsd-3.14.11-3.2.10 ........................................................[done]
    Additional rpm output:
    Updating /etc/sysconfig/apcupsd...
    usr/bin/grep: etc/sysconfig/shutdown: No such file or directory
    apcupsd: WARNING: Unknown value of HALT_POWERDOWN_INSERT in /etc/sysconfig/shutdown.
             Keeping unchanged. Should be:
    HALT_POWERDOWN_INSERT=""
    
    
    linux-y98f:~ # rpm -qa | grep apcupsd
    apcupsd-3.14.11-3.2.10.x86_64
    linux-y98f:~ #
    The binaries appear to be present in /usr/sbin/, and the example files are present in /etc/apcupsd/.

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,748

    Default Re: zypper install apcupsd reports error

    It is a warning not an error

    Check the file mentioned /etc/sysconfig/shutdown

    Maybe change the line if it exists


    On the other hand I don't have that file here and it may be from an older system set up. But the test still exists in the package install script

  3. #3
    Join Date
    Jan 2013
    Location
    USA
    Posts
    51

    Default Re: zypper install apcupsd reports error

    Quote Originally Posted by gogalthorp View Post

    On the other hand I don't have that file here and it may be from an older system set up. But the test still exists in the package install script
    File does not exist here, either. I don't usually invoke zypper from a command line like that. If I had used Yast Software Management panels, perhaps the message would have been hidden.

    I have not yet configured apcupsd for testing.

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,748

    Default Re: zypper install apcupsd reports error

    I suspect it is package code from a while back since sysconfig is old school and going away eventually

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •